Get an Alias
GET
https://api.vercel.com/v4/aliases/{idOrAlias}Retrieves an Alias for the given host name or alias ID.
https://api.vercel.com/v4/aliases/{idOrAlias}
const response = await fetch('https://api.vercel.com/v4/aliases/idOrAlias?from=123&projectId=string&since=123&until=123&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "alias": "my-alias.vercel.app", "created": "2017-04-26T23:00:34.232Z", "createdAt": "1540095775941", "creator": { "email": "john-doe@gmail.com", "uid": "96SnxkFiMyVKsK3pnoHfx3Hz", "username": "john-doe" }, "deletedAt": "1540095775941", "deployment": { "id": "dpl_5m8CQaRBm3FnWRW1od3wKTpaECPx", "meta": "[object Object]", "url": "my-instant-deployment-3ij3cxz9qr.now.sh" }, "deploymentId": "dpl_5m8CQaRBm3FnWRW1od3wKTpaECPx", "microfrontends": { "applications": [ { "fallbackHost": "string", "projectId": "example_id" } ], "defaultApp": { "projectId": "example_id" } }, "projectId": "prj_12HKQaOmR5t5Uy6vdcQsNIiZgHGB", "protectionBypass": "value", "redirect": "string", "redirectStatusCode": "301", "uid": "example_id", "updatedAt": "1540095775941"}AuthorizationbearerToken
Default authentication mechanism
200The alias information
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404The alias was not found
410Error